### Method

# Gcr Parser parse_stream

#### Declaration [src]

    gboolean
    gcr_parser_parse_stream (
      GcrParser* self,
      GInputStream* input,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Parse items from the data in a `GInputStream`. This function may block while reading from the input stream. Use `gcr_parser_parse_stream_async()` for a non-blocking variant.

The `GcrParser::parsed` and `GcrParser::authenticate` signals may fire during the parsing.

#### Parameters

`input`

  Type: `GInputStream`

  The input stream.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  An optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the parsing completed successfully or not.